Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils
Class DefaultAuthenticator

    java.lang.Object
      java.net.Authenticator
          org.apache.axis.utils.DefaultAuthenticator

public class DefaultAuthenticator
extends java.net.Authenticator

This class is used by WSDL2javaAntTask and WSDL2. Supports the http.proxyUser and http.proxyPassword properties.

Constructor Summary
`DefaultAuthenticator(java.lang.String user, java.lang.String pass)`

Method Summary
`protected java.net.PasswordAuthentication` | `getPasswordAuthentication()`

Methods inherited from class java.net.Authenticator
`getRequestingHost, getRequestingPort, getRequestingPrompt, getRequestingProtocol, getRequestingScheme, getRequestingSite, requestPasswordAuthentication, requestPasswordAuthentication, setDefault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultAuthenticator

    public DefaultAuthenticator(java.lang.String user,
                                java.lang.String pass)

Method Detail

### getPasswordAuthentication

    protected java.net.PasswordAuthentication getPasswordAuthentication()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.